﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using MvcForums.Models;
using System.Linq.Expressions;
using System.Web.Routing;

namespace MvcForums.Controllers
{
	public class HomeController : Controller
	{
		ForumsDataContext _data = null;

		ForumsDataContext Data
		{
			get
			{
				if (_data == null)
				{
					_data = new ForumsDataContext();
				}

				return _data;
			}
		}

		public ActionResult Index()
		{
			return RedirectToAction("List", "Categories");
		}

		public ActionResult About()
		{
			return RenderView("About");
		}

		public ActionResult Something()
		{
			return RenderView("Something");
		}
	}
}
