﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using MvcForums.Models;
using System.Linq.Expressions;
using System.Web.Routing;

namespace MvcForums.Controllers
{
	public class CategoriesController : Controller
	{
		ForumsDataContext _data = null;

		ForumsDataContext Data
		{
			get
			{
				if (_data == null)
				{
					_data = new ForumsDataContext();
				}

				return _data;
			}
		}

		public ActionResult Add()
		{
			Category category = new Category();
			BindingHelperExtensions.UpdateFrom(category, Request.Form);

			Data.Categories.InsertOnSubmit(category);

			Data.SubmitChanges();
			return RedirectToAction("List");
		}

		public ActionResult Index()
		{
			return RedirectToAction("List");
		}


		public ActionResult List()
		{
			return RenderView("List", Data.Categories.ToList());
		}

		public ActionResult Delete(int id)
		{
			Data.Categories.DeleteOnSubmit(Data.Categories.Single(c => c.CategoryId == id));

			Data.SubmitChanges();
			return RedirectToAction("List");
		}
	}
}
