﻿<%@ Page Language="C#" MasterPageFile="~/Views/Shared/Site.Master" AutoEventWireup="true" CodeBehind="List.aspx.cs" Inherits="MvcForums.Views.Categories.List" %>
<%@ Import Namespace="MvcForums.Models" %>

<asp:Content ID="indexContent" ContentPlaceHolderID="MainContentPlaceHolder" runat="server">

<h2>Categories</h2>

<ul class="contentList">
<% foreach (Category category in ViewData) 
   {%>
    <li>
        <span><%= Html.ActionLink(category.Title, "List", "Topics", new {id = category.CategoryId}) %></span>
		
		<div class="deleteLink">
			<%= Html.ActionLink("Delete", "Delete", new { id = category.CategoryId })%>
		</div>
    </li>
<% } %>
</ul>

<div id="createFormWrapper" class="clearfix">
	<a href="#" id="createLink">Create new...</a>

	<div id="createForm">
		<% using (Html.Form("Categories", "Add", FormMethod.Post))
		   {
			   %>
			<fieldset>
				<legend><span>Create new forum category</span></legend>
			    
				<label for="Category.Title">Title:</label>
				<%= Html.TextBox("Category.Title", "", new { _class = "textInput" })%>

				<label for="Category.Description">Description:</label>
				<%= Html.TextArea("Category.Description", "", 6, 80, new { _class = "textInput" })%>

				<div class="controlButtons">
				<%= Html.SubmitButton("createButton", "Create")%> or <a href="#" id="cancelLink">cancel</a>
				</div>
			</fieldset>
		<%  } %>
	</div>
</div>

</asp:Content>
