﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" AutoEventWireup="true" CodeBehind="List.aspx.cs" Inherits="MvcForums.Views.Posts.List" %>
<%@ Import Namespace="MvcForums.Models" %>
<%@ Import Namespace="MvcForums.Controllers" %>

<asp:Content ID="Content1" ContentPlaceHolderID="MainContentPlaceHolder" runat="server">

<div class="breadcrumbs">
	<%= Html.ActionLink("MVC Forums", "Index", "Home")%>
	&gt;
	<%= Html.ActionLink(ViewData.Category.Title, "List", "Topics", new { id = ViewData.CategoryID })%>
	&gt;
	<strong><%=ViewData.Title%></strong>
</div>

<ul class="contentList">
<% foreach (Post post in ViewData.Posts)
   {%><li>
        <span>
			<h3><%= post.Title%></h3>
			<%= post.Body%>
		</span>
        <div class="deleteLink"><%= Html.ActionLink("Delete", "Delete", new { id = post.PostID })%></div>
    </li>
<% } %>
</ul>

<div id="createFormWrapper" class="clearfix">
	<a href="#" id="createLink">Create new...</a>

	<div id="createForm">
		<% using (Html.Form<PostsController>(action => action.Add(ViewData.TopicID)))
		   { %>
			<fieldset>
				<legend><span>Reply to thread</span></legend>

				<label for="Post.Title">Title:</label>
				<%= Html.TextBox("Post.Title", string.Format("Re: {0}", ViewData.Title), new { _class = "textInput" })%>

				<label for="Post.Body">Body:</label>
				<%= Html.TextArea("Post.Body", "", 6, 80, new { _class = "textInput" })%>
			       
				<div class="controlButtons">
				<%= Html.SubmitButton("createButton", "Post")%> or <a href="#" id="cancelLink">cancel</a>
				</div>
			</fieldset>
		<%  } %>
	</div>
</div>

</asp:Content>