﻿using System;
using System.Text;
using System.Collections.Generic;
using System.Linq;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using MvcForums.Controllers;
using System.Web;
using System.Web.Mvc;
using System.Web.Routing;

namespace MvcForumsTests
{
	/// <summary>
	/// Summary description for HomeControllerTests
	/// </summary>
	[TestClass]
	public class HomeControllerTests
	{
		[TestMethod]
		public void TestIndex()
		{
			HomeController controller = new HomeController();
			ActionResult result = controller.Index();
			Assert.IsInstanceOfType(result, typeof(ActionRedirectResult));
			Assert.AreEqual("Categories", ((ActionRedirectResult)result).Values["controller"]);
			Assert.AreEqual("List", ((ActionRedirectResult)result).Values["action"]);
		}
	}
}
